.blog-list {
  position: relative;
  border: 1px solid #eee;
  border-radius: 5px;
  margin-bottom: 1.5rem;
  cursor: pointer;
}

.blog-list > * {
  padding: 1.5rem;
}
.blog-list .blog-title {
  font-weight: 500;
}
.blog-list i {
  font-size: 1.5rem;
}
.blog-list a {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
.blog-tag,
.blog-time {
  font-size: 1.2rem;
  padding: 0.5rem 1rem;
}
.blog-details {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.blog-tags {
  display: flex;
}
.blog-header {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}
.blog-header .author {
  font-size: 1.2rem;
  font-weight: 500;
}
.blog-tag {
  margin-right: 1rem;
  background-color: #eee;
  border-radius: 12px;
  font-weight: 500;
}
.blog-time {
  background-color: #555;
  color: #fff;
  border-radius: 12px;
  font-weight: 500;
}
.blog-date {
  font-size: 1.2rem;
}
.blog-footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.blog-likes {
  display: flex;
  align-items: center;
}
.blog-comment {
  display: flex;
  align-items: center;
}
.blog-likes span {
  font-size: 1.2rem;
}
.blog-comment span {
  font-size: 1.2rem;
}
